Subject: Genart last call review of draft-ietf-pce-hierarchy-extensions-10

From: Roni Even via Datatracker <[email-masked]>
Date: Sun, 14 Apr 2019 03:42:23 -0700

Reviewer: Roni Even
Review result: Almost Ready

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-pce-hierarchy-extensions-??
Reviewer: Roni Even
Review Date: 2019-04-14
IETF LC End Date: 2019-04-15
IESG Telechat date: Not scheduled for a telechat

Summary:
The document is almost ready for publication as a standard track RFC.

Major issues:

Minor issues:
1. In section 1.1 last bullet does it mean that you MUST NOT use H-PCEP on the
internet?

2. In section 3.2.1 or section 4.1 if the originator sends PCC or PCE sends an
open with P flag =0 can the response open be sent with a P flag =1 and if yes
what should be the action of the originator. I did not see any text about this
case.

Nits/editorial comments:
1. in section 1 "achild" should be " a child"
2.  Section 2.4 repeat some of the text from RFC6805 1.3.2.2 but using
different sentence structure. Is there a reason to change the wording.